using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Keytest
{
	class Keytest : Form
	{
		//private string strData= "";
		private string strData = string.Empty;
	
		public Keytest()
		{
			this.KeyDown += new KeyEventHandler(Keytest_KeyDown);
			this.KeyUp += new KeyEventHandler(Keytest_KeyUp);
			this.KeyPress += new KeyPressEventHandler(Keytest_KeyPress);
		}

		protected void Keytest_KeyDown(object sender, KeyEventArgs e)
		{
			Console.WriteLine("{0} KeyDown", e.KeyCode);
		}

		private void Keytest_KeyUp(object sender, KeyEventArgs e)
		{
			Console.WriteLine("{0}", e.KeyCode );
		}
		
		public void Keytest_KeyPress(object sender, KeyPressEventArgs e)
		{
			Console.WriteLine("{0} KeyPress {1}", e.KeyChar, e.KeyChar.ToString().ToUpper() );
		}
		static void Main(string[] args)
		{
			Application.Run(new Keytest());		
		}
	}
}
