using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.Windows.Forms;

namespace GDI05
{
	class GDI05	: Form
	{
		int signal = 0;
		//string[] str = new string [3] {"","",""};
	
		public GDI05()
		{
			this.Text = "ȣ";
			this.Size = new Size(150,400);
			
			Timer time = new Timer();
			time.Interval = 1000;
			time.Enabled = true;
			time.Tick += new EventHandler(time_Tick);
			
		}

		void time_Tick(object sender, EventArgs e)
		{
			Random rnd = new Random();
			signal = rnd.Next(3); // ߻
			this.Invalidate();	//OnPaint ޼ 
			this.Update();
		}
		
		static void Main(string[] args)
		{
			Application.Run(new GDI05());
			
		}

		protected override void OnPaint(PaintEventArgs e)
		{
			Graphics g = e.Graphics;
			DrawOutling(g);
			
			switch (signal)
			{
				case 0 : //
					g.FillEllipse(Brushes.Red,20,20,100,100);
					Console.WriteLine(" ");
					break;
				case 1: //
					g.FillEllipse(Brushes.Yellow, 20, 130, 100, 100);
					Console.WriteLine(" ");
					break;
				case 2: //
					g.FillEllipse(Brushes.Green, 20, 240, 100, 100);
					Console.WriteLine(" ");
					break;
			}
			
			g.Dispose();
			base.OnPaint(e);
		}

		private void DrawOutling(Graphics g)
		{
			Pen pen = new Pen(Color.White,3);
			g.FillRectangle(Brushes.Black,10,10,120,350);
			g.DrawEllipse(pen,20, 20,100,100);
			g.DrawEllipse(pen, 20, 130, 100, 100);
			g.DrawEllipse(pen, 20, 240, 100, 100);
		}
	}
}
