using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MouseEvent
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();

			this.Text = "콺 Ȯ ";
			this.MouseClick += new MouseEventHandler(Form1_MouseClick);
			this.MouseDoubleClick += new MouseEventHandler(Form1_MouseDoubleClick);
			this.MouseDown += new MouseEventHandler(Form1_MouseDown);
			this.MouseUp += new MouseEventHandler(Form1_MouseUp);
			this.MouseWheel += new MouseEventHandler(Form1_MouseWheel);
			this.MouseMove += new MouseEventHandler(Form1_MouseMove);

		}

		void Form1_MouseMove(object sender, MouseEventArgs e)
		{
			string mousestr	 = string.Format("X : {0} , Y : {1} 콺", e.X,e.Y + Environment.NewLine);
			richTextBox1.Text +=  mousestr;
			
		}

		void Form1_MouseWheel(object sender, MouseEventArgs e)
		{
			string mousestr = string.Format("{0} 콺", e.Delta);
			richTextBox1.Text +=  mousestr;
		}

		void Form1_MouseUp(object sender, MouseEventArgs e)
		{
			string mousestr = string.Format("{0} 콺", e.Button);
			richTextBox1.Text += mousestr;
		}

		void Form1_MouseDown(object sender, MouseEventArgs e)
		{
			string mousestr = string.Format("{0} 콺ٿ", e.Button);
			richTextBox1.Text += mousestr;
		}

		void Form1_MouseDoubleClick(object sender, MouseEventArgs e)
		{
			string mousestr = string.Format("{0} 콺Ŭ", e.Button);
			richTextBox1.Text += mousestr;
		}

		void Form1_MouseClick(object sender, MouseEventArgs e)
		{
			string mousestr = string.Format("{0} 콺Ŭ", e.Clicks);
			richTextBox1.Text += mousestr;
			
			
		}

	}

}